## pytest-dependency 0.5.1

=== Makefile ===
PYTHON   = python
BUILDDIR = $(CURDIR)/build


build:
	$(PYTHON) setup.py build

test: build
	PYTHONPATH=$(BUILDDIR)/lib $(PYTHON) -m pytest tests

sdist:
	$(PYTHON) setup.py sdist

doc-html: .version
	$(MAKE) -C doc html

clean:
	rm -f *~ tests/*~
	rm -rf build
	$(MAKE) -C doc clean

distclean: clean
	rm -rf .cache tests/.cache .pytest_cache tests/.pytest_cache
	rm -f *.pyc tests/*.pyc
	rm -rf __pycache__ tests/__pycache__
	rm -f MANIFEST .version
	rm -rf dist
	rm -rf pytest_dependency.egg-info
	$(MAKE) -C doc distclean

.version:
	$(PYTHON) setup.py check

.PHONY: build test sdist doc-html clean distclean

=== requirements.txt ===
pytest >=3.6.0
setuptools_scm

=== doc/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         = a4

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) src

# Subdirectories of src that are supposed to be there but that may be
# empty and may thus be missing after a git checkout.
SRCDIRS = src/_static src/_templates


html: $(SRCDIRS)
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) html

latex: $(SRCDIRS)
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) latex

latexpdf: latex
	$(MAKE) -C latex all-pdf

linkcheck: $(SRCDIRS)
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) linkcheck

doctest: $(SRCDIRS)
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) doctest

clean:
	rm -f *~ examples/*~ src/*~

distclean: clean
	rm -rf doctrees html latex linkcheck doctest
	rm -f examples/*.pyc
	rm -rf examples/__pycache__

src/_static:
	mkdir $@

src/_templates:
	mkdir $@

.PHONY: html latex latexpdf linkcheck doctest clean distclean

=== debian/changelog ===
pytest-dependency (0.5.1-5) unstable; urgency=medium

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Update standards version to 4.6.1, no changes needed.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Tue, 22 Nov 2022 01:30:56 +0000

pytest-dependency (0.5.1-4) unstable; urgency=medium

  * Set bage's debian.org email
  * Use global Salsa CI config
  * Fix missing-build-dependency-for-dh-addon

 -- Bastian Germann <bage@debian.org>  Sat, 04 Dec 2021 11:14:40 +0100

pytest-dependency (0.5.1-3) unstable; urgency=medium

  * Team upload
  * debian/patches/0930889a13e2b9baa7617f05dc9b55abede5209d.patch
    - apply upstream fix (PR #51) for pytest 6.2.x

 -- Sandro Tosi <morph@debian.org>  Sat, 11 Sep 2021 22:22:33 -0400

pytest-dependency (0.5.1-2) unstable; urgency=medium

  * Team upload.

  [ Boyuan Yang ]
  * Mark package python-pytest-dependency-doc as Multi-Arch: foreign.

  [ Bastian Germann ]
  * Source-only reupload for testing migration.

 -- Boyuan Yang <byang@debian.org>  Thu, 21 Jan 2021 12:58:43 -0500

pytest-dependency (0.5.1-1) unstable; urgency=medium

  * Team upload.

  [ Louis-Philippe Véronneau ]
  * d/control: be consistent with the <!nodoc> profile.
  * d/tests: run unit tests as an autopkgtest.

  [ Bastian Germann ]
  * Initial packaging work (Closes: #972718)

 -- Louis-Philippe Véronneau <pollo@debian.org>  Sun, 20 Dec 2020 01:12:11 -0500

=== debian/control ===
Source: pytest-dependency
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Bastian Germann <bage@debian.org>
Build-Depends: debhelper-compat (= 13),
               dh-python,
               python3-all:any,
               python3-setuptools,
               python3-pytest,
               python3-sphinx <!nodoc>,
               python3-sphinx-rtd-theme <!nodoc>
Standards-Version: 4.6.1
Homepage: https://github.com/RKrahl/pytest-dependency
Vcs-Browser: https://salsa.debian.org/python-team/packages/pytest-dependency
Vcs-Git: https://salsa.debian.org/python-team/packages/pytest-dependency.git
Testsuite: autopkgtest-pkg-python
Rules-Requires-Root: no

Package: python3-pytest-dependency
Architecture: all
Depends: ${python3:Depends}, ${misc:Depends}
Suggests: python-pytest-dependency-doc
Description: Manages dependencies of pytest test cases (Python 3)
 This pytest plugin manages dependencies of tests.  It allows one to mark
 some tests as dependent from other tests.  These tests will then be
 skipped if any of the dependencies failed or were skipped.
 .
 This package installs the library for Python 3.

Package: python-pytest-dependency-doc
Architecture: all
Multi-Arch: foreign
Section: doc
Build-Profiles: <!nodoc>
Depends: ${sphinxdoc:Depends}, ${misc:Depends}
Built-Using: ${sphinxdoc:Built-Using}
Description: Manages dependencies of pytest test cases (common documentation)
 This pytest plugin manages dependencies of tests.  It allows one to mark
 some tests as dependent from other tests.  These tests will then be
 skipped if any of the dependencies failed or were skipped.
 .
 This is the common documentation package.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=pytest-dependency

%:
	dh $@ --with python3,sphinxdoc --buildsystem=pybuild


override_dh_auto_build: export http_proxy=127.0.0.1:9
override_dh_auto_build: export https_proxy=127.0.0.1:9
override_dh_auto_build:
	dh_auto_build
ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS) $(DEB_BUILD_PROFILES)))
	PYTHONPATH=. python3 -m sphinx -N -bhtml doc/src build/html
endif

override_dh_auto_clean:
	dh_auto_clean
	$(MAKE) -C doc clean

=== debian/watch ===
version=4

opts=searchmode=plain,pgpsigurlmangle=s/$/\.asc/ \
  https://api.github.com/repos/RKrahl/pytest-dependency/releases https://github.com/RKrahl/pytest-dependency/releases/download/[^/]+/pytest-dependency-([\d\.]+)\.tar\.gz
